import 'package:flutter/material.dart';

import 'package:scrobbles/ui/widgets/cards/counts_by_day.dart';
import 'package:scrobbles/ui/widgets/cards/counts_by_hour.dart';
import 'package:scrobbles/ui/widgets/cards/heatmap.dart';

class ScreenStatistics extends StatelessWidget {
  final Function() notifyParent;

  const ScreenStatistics({super.key, required this.notifyParent});

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Theme.of(context).colorScheme.background,
      child: RefreshIndicator(
        onRefresh: () async {
          this.notifyParent();
        },
        child: ListView(
          padding: const EdgeInsets.symmetric(horizontal: 4),
          physics: const BouncingScrollPhysics(),
          children: <Widget>[
            const SizedBox(height: 8),
            const CardHeatmap(),
            const SizedBox(height: 6),
            const CardCountsByDay(),
            const SizedBox(height: 6),
            const CardCountsByHour(),
            const SizedBox(height: 36),
          ],
        ),
      ),
    );
  }
}
